#include <errornum.h>
#include <error.h>

#define ES_JREP 13

#include "msgjrep.h"

ErrorId MsgJrep::ShortUsage		= { ErrorOf( ES_JREP, 1, E_FAILED, EV_USAGE, 0 ), "Usage: p4jrep [-J journal] [-j prefix] [-i instance] [-L logfile] [-d delay] [-t delay] [-a] [-k] command" } ;

ErrorId MsgJrep::VVNotSeen		= { ErrorOf( ES_JREP, 2, E_FAILED, EV_ADMIN, 0 ), "No complete @vv@ record near beginning of journal" } ;

ErrorId MsgJrep::VVUnknownVersion	= { ErrorOf( ES_JREP, 3, E_FAILED, EV_ADMIN, 1 ), "Unknown version \"%version%\" in @vv@ record" } ;

ErrorId MsgJrep::VVFirstNotJournal	= { ErrorOf( ES_JREP, 4, E_FAILED, EV_ADMIN, 0 ), "db.counters journal not found in @vv@ record" } ;

ErrorId MsgJrep::VVInvalidFormat	= { ErrorOf( ES_JREP, 5, E_FAILED, EV_ADMIN, 0 ), "Format of @vv@ record is invalid" } ;

ErrorId MsgJrep::VVSscanfFail		= { ErrorOf( ES_JREP, 6, E_FAILED, EV_ADMIN, 0 ), "sscanf failure while converting sequence in @vv@ record" } ;

ErrorId MsgJrep::PosBadChars		= { ErrorOf( ES_JREP, 7, E_FAILED, EV_ADMIN, 1 ), "Non-digit characters in position read from %file%" } ;

ErrorId MsgJrep::PosSscanfFail		= { ErrorOf( ES_JREP, 8, E_FAILED, EV_ADMIN, 1 ), "sscanf failure while converting position read from %file%" } ;

ErrorId MsgJrep::NotRecreated		= { ErrorOf( ES_JREP, 9, E_FAILED, EV_ADMIN, 1 ), "%file% not recreated" } ;
